Delete Variant
curl --request DELETE \
--url https://api.launchmystore.io/variants/delete-single-variant/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.launchmystore.io/variants/delete-single-variant/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.launchmystore.io/variants/delete-single-variant/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"state": "success",
"message": null,
"data": {}
}
Variants
Delete Variant
Delete a product variant
DELETE
/
variants
/
delete-single-variant
/
{id}
Delete Variant
There is no variant endpoint on the OAuth App API (
/api/v1/). Variant
deletion is performed on the merchant admin route documented here
(DELETE /variants/delete-single-variant/{id}), which is also what the MCP
delete_variant tool calls.Authentication
Merchant JWT (Authorization: Bearer <merchant-token>); roles
MERCHANT, STAFF_ADMIN, SUPER_ADMIN, or MANAGER.
Path Parameters
string
required
The variant ID to delete
Response
The platform response envelope is{ status, state, message, data }. On a
successful delete, data is an empty object.
{
"status": 200,
"state": "success",
"message": null,
"data": {}
}
If the variant cannot be found the endpoint returns
status: 400,
state: "error", message: "Variant Not Found".